<?php
/**
 * Register a section.
*/

if ( !function_exists('nexas_user_info_meta_boxes') ) :

    /**
     * Meta box for Users info registered
     */
    function nexas_user_info_meta_boxes( $user_contact_method ) {

        $user_contact_method['facebook'] = __( 'Facebook Url', 'nexas' );
        $user_contact_method['twitter'] = __( 'Twitter Url', 'nexas' );
        $user_contact_method['linkedin'] = __( 'Linkedin Url', 'nexas' );
        $user_contact_method['youtube'] = __( 'Youtube Url', 'nexas' );
        $user_contact_method['google_plus'] = __( 'Google Plus Url', 'nexas' );
        $user_contact_method['instagram'] = __( 'Instagram Url', 'nexas' );
        $user_contact_method['pinterest'] = __( 'Pinterest Url', 'nexas' );
        $user_contact_method['flickr'] = __( 'Flickr Url', 'nexas' );
        $user_contact_method['tumblr'] = __( 'Tumblr Url', 'nexas' );
        $user_contact_method['vk'] = __( 'VK Url', 'nexas' );
        $user_contact_method['wordpress'] = __( 'WordPress Url', 'nexas' );

        return $user_contact_method;

    }
    add_filter( 'user_contactmethods', 'nexas_user_info_meta_boxes' );

endif;

/**
* Information about users display
*/
if ( !function_exists('nexas_show_users_info') ) :

    function nexas_show_users_info( ) {
        $user_url = get_the_author_meta( 'user_url' );
        $facebook = get_the_author_meta( 'facebook' );
        $twitter = get_the_author_meta( 'twitter' );
        $linkedin = get_the_author_meta( 'linkedin' );
        $youtube = get_the_author_meta( 'youtube' );
        $google_plus = get_the_author_meta( 'google_plus' );
        $instagram = get_the_author_meta( 'instagram' );
        $pinterest = get_the_author_meta( 'pinterest' );
        $flickr = get_the_author_meta( 'flickr' );
        $tumblr = get_the_author_meta( 'tumblr' );
        $vk = get_the_author_meta( 'vk' );
        $wordpress = get_the_author_meta( 'wordpress' );
        ?>
        <ul class="socials">
            <?php
            if ( !empty( $user_url ) ) { ?>
                <li class="facebook">
                    <a href="<?php echo esc_url( $user_url ); ?>" data-title="Website" target="_blank"><i class="fa fa-external-link"></i></a>
                </li>
            <?php }
            if ( !empty( $facebook ) ) { ?>
                <li class="facebook">
                    <a href="<?php echo esc_url( $facebook ); ?>" data-title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a>
                </li>
            <?php }
            if ( !empty( $twitter ) ) { ?>
                <li class="twitter">
                    <a href="<?php echo esc_url( $twitter ); ?>" data-title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a>
                </li>
            <?php }
            if ( !empty( $linkedin ) ) {
                ?>
                <li class="linkedin">
                    <a href="<?php echo esc_url( $linkedin ); ?>" data-title="Linkedin" target="_blank"><i class="fa fa-linkedin"></i></a>
                </li>
                <?php
            }
            if ( !empty( $instagram) ) {
                ?>
                <li class="instagram">
                    <a href="<?php echo esc_url( $instagram); ?>" data-title="Instagram" target="_blank"><i class="fa fa-instagram"></i></a>
                </li>
                <?php
            }
            if ( !empty( $youtube ) ) { ?>
                <li class="youtube">
                    <a href="<?php echo esc_url( $youtube ); ?>" data-title="Youtube" target="_blank"><i class="fa fa-youtube"></i></a>
                </li>
                <?php
            }
            if ( !empty( $google_plus ) ) {
                ?>
                <li class="google-plus">
                    <a href="<?php echo esc_url( $google_plus ); ?>" data-title="Google Plus" target="_blank"><i class="fa fa-google-plus"></i></a>
                </li>
                <?php
            }
            if ( !empty( $pinterest ) ) {
                ?>
                <li class="pinterest">
                    <a href="<?php echo esc_url( $pinterest ); ?>" data-title="Pinterest" target="_blank"><i class="fa fa-pinterest"></i></a>
                </li>
                <?php
            }
            if ( !empty( $flickr ) ) {
                ?>
                <li class="flickr">
                    <a href="<?php echo esc_url( $flickr ); ?>" data-title="Flickr" target="_blank"><i class="fa fa-flickr"></i></a>
                </li>
                <?php
            }
            if ( !empty( $tumblr ) ) {
                ?>
                <li class="tumblr">
                    <a href="<?php echo esc_url( $tumblr ); ?>" data-title="Tumblr" target="_blank"><i class="fa fa-tumblr"></i></a>
                </li>
                <?php
            }
            if ( !empty( $vk ) ) {
                ?>
                <li class="vk">
                    <a href="<?php echo esc_url( $vk ); ?>" data-title="VK" target="_blank"><i class="fa fa-vk"></i></a>
                </li>
                <?php
            }
            if ( !empty( $wordpress ) ) {
                ?>
                <li class="vk">
                    <a href="<?php echo esc_url( $wordpress ); ?>" data-title="WordPress" target="_blank"><i class="fa fa-wordpress"></i></a>
                </li>
                <?php
            }
            ?>
        </ul>
        <?php
    }
endif;
add_action( 'nexas_users_info_action', 'nexas_show_users_info', 10 );